// (C)2007 Attila Kovacs <attila@submm.caltech.edu>



public class ZenithalEqualArea extends ZenithalProjection {

	public ZenithalEqualArea() {}

	@Override
	public final double R(double theta) {
		return Math.sqrt(2.0*(1.0-Math.sin(theta)));
	}

	@Override
	public final double thetaOfR(double value) {
		return 0.5*Math.PI - 2.0*asin(0.5*value);
	}

	public String getFitsID() { return fitsID; }

	public String getFullName() { return fullName; }

	
	public final static String fitsID = "ZEA";
	public final static String fullName = "Zenithal Equal-Area";
	
	
}
